Bug 1406753 (CVE-2016-2161)

Summary: CVE-2016-2161 httpd: DoS vulnerability in mod_auth_digest
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apmukher, bbaranow, bkundal, bmaxwell, bnater, cdewolf, csutherl, dandread, darran.lofthouse, dosoudil, fnasser, gzaronik, hhorak, huwang, jason.greene, jawilson, jboss-set, jclere, jdoyle, jkaluza, jorton, lgao, luhliari, mbabacek, mdshaikh, mfrodl, mturk, myarboro, pahan, pgier, pragshar, psakar, pslavice, rmeggins, rnetuka, rsvoboda, sardella, twalsh, vtunka, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20161220,reported=20161220,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,cvss3=7.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-20,rhel-5/httpd=notaffected,rhel-6/httpd=notaffected,rhel-7/httpd=affected,rhscl-2/httpd24-httpd=affected,eap-5/httpd=notaffected,eap-6/httpd=notaffected,eap-6/httpd22=notaffected,jbews-1/httpd=notaffected,jbews-2/httpd22=notaffected,jbews-2/httpd=notaffected,jws-3/httpd24=notaffected,jws-3/httpd=notaffected,jbcs-1/jbcs-httpd24-httpd=affected,directory_server_8/httpd=notaffected,fedora-all/httpd=affected
Fixed In Version: httpd 2.4.25 Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the mod_auth_digest module of httpd did not properly check for memory allocation failures. A remote attacker could use this flaw to cause httpd child processes to repeatedly crash if the server used HTTP digest authentication.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-13 05:30:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1406823, 1412975, 1412976, 1425463    
Bug Blocks: 1406828, 1457678    

Description Adam Mariš 2016-12-21 12:09:03 UTC
It was found that malicious input to mod_auth_digest will cause the server to crash, and each instance continues to crash even for subsequently valid requests.

Affects versions 2.4.x up to 2.4.23

External Reference:

https://httpd.apache.org/security/vulnerabilities_24.html#2.4.25

Comment 1 Adam Mariš 2016-12-21 15:04:41 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1406823]

Comment 7 Tomas Hoger 2017-02-21 11:26:56 UTC
Upstream commit:

http://svn.apache.org/viewvc?view=revision&revision=1773069

Comment 9 errata-xmlrpc 2017-04-12 12:31:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0906 https://access.redhat.com/errata/RHSA-2017:0906

Comment 10 errata-xmlrpc 2017-04-26 10:23:09 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:1161 https://access.redhat.com/errata/RHSA-2017:1161

Comment 11 errata-xmlrpc 2017-06-07 17:45:27 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2017:1415 https://access.redhat.com/errata/RHSA-2017:1415

Comment 12 errata-xmlrpc 2017-06-07 17:57:07 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:1414 https://access.redhat.com/errata/RHSA-2017:1414

Comment 13 errata-xmlrpc 2017-06-07 17:59:54 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:1413 https://access.redhat.com/errata/RHSA-2017:1413